Bug 167530 - mrtg cron job not working in UTF-8 enabled environment
mrtg cron job not working in UTF-8 enabled environment
Product: Fedora
Classification: Fedora
Component: mrtg (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Depends On:
  Show dependency treegraph
Reported: 2005-09-04 04:06 EDT by Peter Bieringer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.12.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-11 20:43:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2005-09-04 04:06:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
mrtg claim about UTF-8 environment and cronjob won't run

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install mrtg
2. configure mrtg
3. run cron script manually for tests

Actual Results:  # /usr/bin/mrtg /etc/mrtg/mrtg.cfg --lock-file /var/lock/mrtg/mrtg_l --confcache-file /var/lib/mrtg/mrtg.ok
ERROR: Mrtg will most likely not work properly when the environment
       variable LANG is set to UTF-8. Please run mrtg in an environment
       where this is not the case. Try the following command to start:

       env LANG=C /usr/bin/mrtg /etc/mrtg/mrtg.cfg --lock-file /var/lock/mrtg/mrtg_l --confcache-file /var/lib/mrtg/mrtg.ok

Expected Results:  Working

Additional info:

Note that applying the hint "env LANG=C" to /etc/cron.d/mrtg will solve this issue.

BTW: looks like the distributed version is not IPv6-enabled:
   WARNING: IPv6 libraries not found, IPv6 disabled.
Comment 1 Miloslav Trmač 2005-09-11 20:43:59 EDT
Yes, it is quite obvious what to do; nevertheless I have added the necessary
environment variable settings to rawhide /etc/cron.d/mrtg for convenience.

mrtg is currently as IPv6 enabled as the upstream is; the problem is that the
necessary Perl modules for IPv6 support are not included in Fedora Core.

Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.